const require_DidCommLiveDeliveryChangeV2Message = require('../messages/DidCommLiveDeliveryChangeV2Message.js');
require('../messages/index.js');

//#region ../didcomm/src/modules/message-pickup/protocol/v2/handlers/DidCommLiveDeliveryChangeV2Handler.ts
var DidCommLiveDeliveryChangeV2Handler = class {
	constructor(messagePickupService) {
		this.supportedMessages = [require_DidCommLiveDeliveryChangeV2Message.DidCommLiveDeliveryChangeV2Message];
		this.messagePickupService = messagePickupService;
	}
	async handle(messageContext) {
		messageContext.assertReadyConnection();
		return this.messagePickupService.processLiveDeliveryChange(messageContext);
	}
};

//#endregion
exports.DidCommLiveDeliveryChangeV2Handler = DidCommLiveDeliveryChangeV2Handler;